<?php
session_start();
//RESTRICCIÃ“N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']=''; 
set_time_limit(3000); 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if (!$_POST) {
menu();
echo "<b>Opciones:</b> ";
if (substr($_SESSION['acceso_validar'],11,1)=='1') echo "&nbsp;&nbsp;<img border = 0 src='img2/reportes_pre_cierre.png' alt='Pre-Cierre'>:<a href='calculo_reporte.php'>Reportes Pre-Cierre</a>";
if (substr($_SESSION['acceso_validar'],12,1)=='1') echo "&nbsp;&nbsp;<img border = 0 src='img2/reportes_auditoria.png' alt='reportes_auditoria_nomina'>:<a href='calculo_auditoria.php'>Reportes Auditados</a>";
echo "</font><hr>";
$entra=0;
		echo "<h2><center>Reportes Historicos de N&oacute;minas Procesadas</center></h2>";
		echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' target='_blank' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<input type='hidden' name='ordena' value = 'codigo'>
		<table align='center'>";
			echo "<tr><td><br></td></tr>";
			echo utf8_encode("
			<tr><td align='righta'><font color=red size=3><b>Tipo Reporte:</b></font></td>
			<td align='left'>
				<select style='width:300px; border-radius:8px; padding:4px;' name='treporte'>
					<option value='1'>Resumen General de Conceptos</option>
					<option value='2'>Detalle Individual de Nómina</option>
					<option value='3' selected >Pago de Nómina General (PRENOMINA)</option>
					<option value='4'>Recibos de Pagos</option>
					<option value='5'>Detalle de Conceptos</option>
					<option value='6'>Detalle de Deducciones/Asignaciones Autom&aacute;ticas</option>
					<option value='7'>Carta Bancaria</option>
					<option value='8'>Reporte de Nomina (Excel)</option>
					<!-- <option value='9'>TEXTO NOMINA PARA EL BANCO -->
				</select>
			</td>
			<tr><td><br></td></tr>
			</tr>
			<tr><td align='righta'>Salida del Reporte:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='salida'>
						<option value='1' selected>Ver en PDF
						<option value='2' selected>Ver en Pantalla (No incluye Recibos de Pagos)
					</select>
				</td>
			</tr>
			<tr><td align='righta'>Estilo del Recibo:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='forma'>
						<option value='1' selected>Recibo de Pago Horizontal
						<option value='2'>Recibo de Pago Vertical
					</select>
				</td>
			</tr>");
		
		$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
		$numr = mysqli_num_rows($consulta);
		echo "<td align = 'righta'> <font color=red>Per&iacute;odo / N&oacute;mina: </font></td>";
		echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'periodo1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					if ($_SESSION['nom01_validar']!=$row1['nomina']) 
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
		echo "</select>";
		echo "</td></tr>";

		echo "<tr>";
		$query = "select * from concepto where id='".$_SESSION['id_validar']."' order by codigo";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		echo "<td align = 'righta'> Concepto: </td>";
		echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'concepto'><option>";
		while ($row1 = mysqli_fetch_array($consulta))
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
		echo "</select></td>";
		echo"</tr><tr>";

			echo "<tr>";			/*
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";			echo "</tr>";
			echo "<tr>";			echo "<td align = 'righta'>C&eacute;dula del trabajador:</td>";
			echo "<td align = 'left'><input type='text' style='width:300px; border-radius:8px; padding:4px;' name='cedula_trabajador' ></td>";
			echo "<td align = 'righta'><font color='red'> * Unicamente para Recibo de pago </td>";			echo "</tr>";
			echo "
				<tr><td align='righta'>Forma de Pago:</td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='pago'>
						<option value='' selected>
						<option value='1'>Efectivo
						<option value='2'>Deposito Bancario
					</select>
				</td>
				</tr>";
		
		echo "<tr>";
		echo "<td align='righta'>Subt&iacute;tulo:</td>";
		echo "<td align='left'><input style='width:300px; border-radius:8px; padding:4px;' name='subtitulo' size = '35' maxlength = '50'></td></tr>";		
		echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' class='boton' value='Generar Reporte'>";
		echo "</td></tr>";
		echo "</table></form>";
		
} else {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	

		if ($_POST['treporte']==1) $_POST['titulo']='Resumen General de Conceptos';
		if ($_POST['treporte']==2) $_POST['titulo']='Detalle Individual de Nï¿½mina';
		if ($_POST['treporte']==3) $_POST['titulo']='Pago de Nomina General (PRENOMINA)';
		if ($_POST['treporte']==4) $_POST['titulo']='Recibos de Pagos';
		if ($_POST['treporte']==5) $_POST['titulo']='Detalle de Conceptos';
		if ($_POST['treporte']==6) $_POST['titulo']='Detalle de Deducciones/Asignaciones Automaticas';
		if ($_POST['treporte']==7) $_POST['titulo']='Carta Bancaria';
		if ($_POST['treporte']==8) $_POST['titulo']='Pago de Nomina (Sabana)';
		if ($_POST['treporte']==9) $_POST['titulo']='TEXTO NOMINA PARA EL BANCO';

		/////////////////////////////////////////////// imprimir PAYROLL
		$payroll="z_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
		$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
					  `cedula` varchar(8) NOT NULL,
					  `concepto` varchar(4) NOT NULL,
					  `desconcepto` varchar(50) NOT NULL,
					  `tipo` varchar(1) NOT NULL,
					  `monto` decimal(18,2) NOT NULL,
					  `saldo` decimal(18,2) NOT NULL,
					  `cantidad` decimal(18,2) NOT NULL,
					  `nomina` varchar(3) NOT NULL,
					  `desnomina` varchar(50) NOT NULL,
					  `departamento` varchar(6) NOT NULL,
					  `cargo` varchar(6) NOT NULL,					  					  					  					  `turno` varchar(4) NOT NULL,										  					  
					  `periodo` varchar(3) NOT NULL,
					  `desperiodo` varchar(50) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
		$consulta=mysqli_query($enlace,"delete from `".$payroll."`"); 
		
		$consulta=mysqli_query($enlace,"insert into $payroll (cedula,concepto,desconcepto,tipo,monto,saldo,cantidad,nomina,desnomina,departamento,cargo,turno,periodo,desperiodo) select cedula,concepto,desconcepto,tipo,monto,saldo,cantidad,nomina,desnomina,departamento,cargo,turno,periodo,desperiodo from historico where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['periodo1'],13,3)."' and periodo ='".substr($_POST['periodo1'],0,3)."' ") or die ("insert into historico select * from payroll :".mysqli_error($enlace));
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$consulta=mysqli_query($enlace,"select * from $payroll"  );
		
		$row=mysqli_fetch_array($consulta);
		$nomina=$row['nomina'];
		$desnomina=$row['desnomina'];
		$periodo=$row['periodo'];
		$desperiodo=$row['desperiodo'];

		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$gerencia=$row['gerencia'];
			$_POST['empresal']=$_SESSION['empresa_validar'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=$desnomina;
		}   
		$queryy='';
		$_POST['desnomina']=$desnomina;
		$_POST['nomina']=substr($_POST['periodo1'],13,3);
		$_POST['periodo']=$periodo.' - '.$desperiodo;
		if (obtener_valor_diccionario($_POST,'departamento')!="") $queryy.="and personal.departamento='".substr(obtener_valor_diccionario($_POST,'departamento'),0,6)."' ";
		if (obtener_valor_diccionario($_POST,'gerencia')!="") $queryy.="and personal.gerencia='".substr(obtener_valor_diccionario($_POST,'gerencia'),0,4)."' ";
		if (obtener_valor_diccionario($_POST,'division')!="") $queryy.="and personal.division='".substr(obtener_valor_diccionario($_POST,'division'),0,4)."' ";

//		if ($gerencia==1) $queryx="select $payroll.*,personal.nombres,personal.apellidos,personal.sso,personal.cuenta,personal.cargo from $payroll,personal where personal.id='".$_SESSION['id_validar']."' and $payroll.cedula=personal.codigo ".$query." order by personal.sso,$payroll.cedula, $payroll.concepto, $payroll.desconcepto";
//		else $queryx="select $payroll.*,personal.nombres,personal.apellidos,personal.sso,personal.cuenta,personal.cargo from $payroll,personal where personal.id='".$_SESSION['id_validar']."' and $payroll.tipo<>'R' and $payroll.cedula=personal.codigo ".$query." order by personal.sso,$payroll.cedula,$payroll.concepto, $payroll.desconcepto";		
//		$consulta=mysqli_query($enlace,$queryx) or die ($queryx.mysqli_error($enlace));

		$_POST['eshistorico']=1;	
		$_POST['cierre']=1;	
		
		//======================================== reporte
		//======================================== reporte
		//======================================== reporte
		include("proceso_reportes.php");
		//======================================== reporte
		//======================================== reporte
		//======================================== reporte
		
} // fin del else de POST
?>

	<style>
	.boton {
		border-radius: 8px;      /* Bordes redondeados */
		padding: 8px 16px;       /* Mï¿½s espacio interno */
		border: none;            /* Quita el borde feo por defecto */
		cursor: pointer;         /* Mano al pasar */
		transition: 0.2s ease;   /* Animaciï¿½n suave */
		}

		.boton:hover {
		transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
		}

	</style>